EDOALRelation.Direction (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Enum EDOALRelation.Direction

    java.lang.Object
      java.lang.Enum<EDOALRelation.Direction>
          fr.inrialpes.exmo.align.impl.edoal.EDOALRelation.Direction

All Implemented Interfaces:
  Serializable, Comparable<EDOALRelation.Direction>

Enclosing class:
  EDOALRelation

    public static enum EDOALRelation.Direction

extends Enum<EDOALRelation.Direction>

Enumeration to distinuish the direction of the mapping.

$Id: EDOALRelation.java 1338 2010-03-18 21:33:00Z euzenat $

Version:
  $Revision: 1.10 $
Author:
  richi

Enum Constant Summary
`DISJOINTFROM`
`EQUIVALENCE`
`GENERIC`
`HASINSTANCE`
`INSTANCEOF`
`SUBSUMEDBY`
`SUBSUMES`

Field Summary
`private String` | `abbrev`
`private String` | `EDOALRepr`
`private static Map<String,EDOALRelation.Direction>` | `nameIndex`
`private URI` | `uri`

Method Summary
`static EDOALRelation.Direction` | `getRelation(String name)`
`String` | `toString()`
`static EDOALRelation.Direction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EDOALRelation.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GENERIC

    public static final EDOALRelation.Direction GENERIC

### EQUIVALENCE

    public static final EDOALRelation.Direction EQUIVALENCE

### DISJOINTFROM

    public static final EDOALRelation.Direction DISJOINTFROM

### SUBSUMES

    public static final EDOALRelation.Direction SUBSUMES

### SUBSUMEDBY

    public static final EDOALRelation.Direction SUBSUMEDBY

### INSTANCEOF

    public static final EDOALRelation.Direction INSTANCEOF

### HASINSTANCE

    public static final EDOALRelation.Direction HASINSTANCE

Field Detail

### EDOALRepr

    private final String EDOALRepr

### abbrev

    private final String abbrev

### uri

    private final URI uri

### nameIndex

    private static Map<String,EDOALRelation.Direction> nameIndex

Method Detail

### values

    public static EDOALRelation.Direction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EDOALRelation.Direction c : EDOALRelation.Direction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EDOALRelation.Direction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<EDOALRelation.Direction>`

### getRelation

    public static EDOALRelation.Direction getRelation(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

(C) INRIA & friends, 2003-2010